classification
Title: What's new in Python should explain what's new in UCD
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.3, Python 3.4
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: docs@python Nosy List: belopolsky, docs@python, ezio.melotti, loewis
Priority: normal Keywords: easy

Created on 2013-06-16 18:10 by belopolsky, last changed 2013-07-07 08:05 by ezio.melotti. This issue is now closed.

Messages (7)
msg191278 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2013-06-16 18:10
At the minimum, we should refer to unicode.org:

http://www.unicode.org/versions/Unicode6.1.0/#Database_Changes (for Python 3.3),
http://www.unicode.org/versions/Unicode6.2.0/#Database_Changes (for Python 3.4).

We may also want to highlight changes that directly affect python programs.  For example addition of new characters accepted as decimal digits in UCD 6.1.0.
msg191279 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2013-06-16 18:28
Here is another change that I think deserves an explicit mention in "What's New":

Python 3.3.2
>>> exec('a\u17B4 = 5')
>>> eval('a\u17B4')
5

Python 3.2.5
>>> exec('a\u17B4 = 5')
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "<string>", line 1
    a឴ = 5
       ^
SyntaxError: invalid character in identifier
msg191315 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2013-06-17 05:42
Are you sure that the permission to use "KHMER VOWEL INHERENT AQ" in an identifier is worth mentioning? Very few of the Python developers speak Khmer in the first place, let alone have the desire to use it in a Python identifier.
msg191353 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2013-06-17 18:21
MvL> Are you sure that the permission to use "KHMER VOWEL INHERENT AQ"
MvL> in an identifier is worth mentioning?

No, but it is worth mentioning that there are no more substantial changes.  I don't think the change from 6.1.0 to 6.2.0 has any effect on python programs that don't explicitly use unicodedata module. ("Version 6.2 of the Unicode Standard is a special release dedicated to the early publication of the newly encoded Turkish lira sign.") If this is true, I think What's New in 3.4 can just say that.  The change from 6.1.0 to 6.2.0 is more substantial, so I think it is worth mentioning a few effects so that users don't have to wonder what the upgrade means for them.  The effect of the change on Python language and builtins is not at all obvious from the Unicode's own summary of changes.
msg191509 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2013-06-20 12:32
I don't think anything of this is worth mentioning, except to mention the precise version number of the database. Anybody interested in the consequences of the change should read the announcement of the Unicode Consortium.
msg192330 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-07-05 07:45
I agree with Martin, mentioning that the database has been updated should be enough.
msg192463 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2013-07-06 16:41
It is not easy to figure out the consequences (if any) of UCD change for python grammar from unicode standard release notes.  I went through this exercise for a few releases and I thought it would be useful to share in release notes.  Since there does not seem to be interest, I am closing this issue.
History
Date User Action Args
2013-07-07 08:05:06ezio.melottisetstage: needs patch -> resolved
2013-07-06 16:41:26belopolskysetstatus: open -> closed
resolution: wont fix
messages: + msg192463
2013-07-05 07:45:11ezio.melottisetmessages: + msg192330
2013-06-20 12:32:24loewissetmessages: + msg191509
2013-06-17 18:21:39belopolskysetmessages: + msg191353
2013-06-17 05:42:25loewissetnosy: + loewis
messages: + msg191315
2013-06-16 18:28:29belopolskysetmessages: + msg191279
2013-06-16 18:20:11ezio.melottisetnosy: + ezio.melotti
components: + Documentation
keywords: + easy
type: enhancement
stage: needs patch
2013-06-16 18:10:53belopolskycreate